Bug 111494 - doc error, hd kickstart install needs ISOs, not exploded tree
doc error, hd kickstart install needs ISOs, not exploded tree
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-04 11:08 EST by Patrick C. F. Ernzer
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:18:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2003-12-04 11:08:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
/usr/share/doc/anaconda-9.1/install-methods.txt states that the
install method Hard Drive from fully exploded tree only is for kickstart.

It seems that this is an error, I just had to switch to using ISOs for
ks to work

Version-Release number of selected component (if applicable):
anaconda-9.1-8.RHEL

How reproducible:
Always

Steps to Reproduce:
boot with:
kernel  /RHEL-3/isolinux/vmlinuz root=/dev/ram read-only ramdisk=9416
console=tty0 console=ttyS0,9600n8 ks=hd:hdc5/boot/ks-20031204.cfg
initrd  /RHEL-3/isolinux/initrd.img

    

Actual Results:  anaconda comes up asking where the ISO images are located


Expected Results:  anaconda should use specified exploded tree

Additional info:

this is the line that failed:
harddrive --partition=hdc5 --dir=/RHEL-3

this is the line that worked:
harddrive --partition=hdc5 --dir=/RHEL-3-isos

Needless to say that the former directory contains a fully exploded
tree (the directory RedHat is in that dir) and the latter contains 4
iso images
Comment 1 Jeremy Katz 2003-12-10 01:51:36 EST
This is fixed in CVS.  Hard drive tree is not supported at all for RHEL3
Comment 2 Orion Poplawski 2005-01-27 16:33:46 EST
Why isn't a tree supported with hd install?  Would be helpful when upgrading the
nfs server that hosts my NFS install tree...
Comment 3 Jeremy Katz 2006-04-24 14:18:07 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.